net.sourceforge.pmd.lang.java.rule.empty

## Class EmptyRulesTest

- java.lang.Object
- - net.sourceforge.pmd.testframework.RuleTst
  - - net.sourceforge.pmd.testframework.SimpleAggregatorTst
    - - net.sourceforge.pmd.lang.java.rule.empty.EmptyRulesTest

    public class EmptyRulesTest
    extends SimpleAggregatorTst

### Nested Class Summary

### Nested classes/interfaces inherited from class net.sourceforge.pmd.testframework.SimpleAggregatorTst

`SimpleAggregatorTst.CustomXmlTestClassMethodsRunner`

### Field Summary

### Fields inherited from class net.sourceforge.pmd.testframework.RuleTst

`DEFAULT_LANGUAGE, DEFAULT_LANGUAGE_VERSION`

### Constructor Summary

Constructors
Constructor and Description
`EmptyRulesTest()`

### Method Summary

Methods
`void` `setUp()`
`static junit.framework.Test` `suite()`

### Methods inherited from class net.sourceforge.pmd.testframework.SimpleAggregatorTst

`addRule, runTests, runTests, runTests, testAll`

### Methods inherited from class net.sourceforge.pmd.testframework.RuleTst

`extractTestsFromXml, extractTestsFromXml, extractTestsFromXml, findRule, getCleanRuleName, runTest, runTestFromString, runTestFromString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EmptyRulesTest

    public EmptyRulesTest()

### Method Detail

#### setUp

    public void setUp()

#### suite

    public static junit.framework.Test suite()